%define         srcdirname       src
%define         scriptname       getquote

%global _legacy_common_support 1

Name:           wmstock
Version:        0.11
Release:        %mkrel 12
Summary:        A dock application which displays stock quote data
License:        GPLv2
Group:          Monitoring

URL:            http://www.mattfischer.com/wmstock
Source0:        http://www.mattfischer.com/wmstock/src/%{name}-%{version}.tar.gz
#format int does not match sizeof() returning long unsigned
Patch0:         %{name}-0.11-format.patch
#date[10] can be overflowed, pushed up to date[16]
Patch1:         %{name}-0.11-overflow.patch

BuildRequires:  glibc-devel
BuildRequires:  pkgconfig(xpm)
BuildRequires:  pkgconfig(x11) 
BuildRequires:  pkgconfig(xext)
BuildRequires:  pkgconfig(xdmcp)
Requires:       wget
Requires:       perl


%description
Wmstock is another dockapp for WindowMaker, or any window manager and
desktop environment that handles dock applications. It displays the
current stock quote data and cycles through tickers.



%prep
%setup -q -n %{name}
%autopatch -p0



%build
cd %{srcdirname}
%make_build CFLAGS="%optflags" LIBDIR="%ldflags"



%install
cd %{srcdirname}
install -D -m 755 %{name} %{buildroot}%{_bindir}/%{name}
install -D -m 755 %{scriptname} %{buildroot}%{_bindir}/%{scriptname}
install -D -m 644 wmstock.1x %{buildroot}%{_mandir}/man1/wmstock.1x



%files
%doc CHANGES COPYING CREDITS  README TODO
%{_bindir}/%{scriptname}
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1*





%changelog
* Wed Mar 30 2022 umeabot <umeabot> 0.11-12.mga9
+ Revision: 1835349
- Mageia 9 Mass Rebuild

* Sun Sep 06 2020 eatdirt <eatdirt> 0.11-11.mga8
+ Revision: 1623001
- Fix build with -fcommon
+ wally <wally>
- add -fcommon to build flags to fix build with gcc10

* Sat Sep 05 2020 eatdirt <eatdirt> 0.11-10.mga8
+ Revision: 1622540
- Fix build by allowing muldefs

* Fri Feb 14 2020 umeabot <umeabot> 0.11-9.mga8
+ Revision: 1518219
- Mageia 8 Mass Rebuild

* Sun Sep 23 2018 umeabot <umeabot> 0.11-8.mga7
+ Revision: 1301704
- Mageia 7 Mass Rebuild

* Mon Feb 08 2016 umeabot <umeabot> 0.11-7.mga6
+ Revision: 945036
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.11-6.mga5
+ Revision: 742256
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.11-5.mga5
+ Revision: 690351
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.11-4.mga4
+ Revision: 520225
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 0.11-3.mga3
+ Revision: 385785
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Nov 06 2012 eatdirt <eatdirt> 0.11-2.mga3
+ Revision: 315321
- Rebuild for mga3

* Fri Dec 09 2011 eatdirt <eatdirt> 0.11-1.mga2
+ Revision: 179535
- imported package wmstock


* Fri Dec 09 2011 Chris Ringeval <dirteat@gmail.com> 0.11-1.mga2
- import wmstock
